Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 650692 - <=media-sound/clementine-1.3.1_p20171113 depends on deprecated Qt4
Summary: <=media-sound/clementine-1.3.1_p20171113 depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 326673 qt4-removal
  Show dependency tree
 
Reported: 2018-03-17 10:15 UTC by Andreas Sturmlechner
Modified: 2018-04-26 03:31 UTC (History)
2 users (show)

See Also:
Package list:
media-sound/clementine-1.3.1_p20180416 media-libs/liblastfm-1.1.0_pre20150206 media-libs/libmygpo-qt-1.1.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-03-17 10:15:08 UTC
Qt4 is dead and going away.

Also last revdep of media-libs/liblastfm-1[qt4(+)].
Comment 1 Andreas Sturmlechner gentoo-dev 2018-03-17 10:17:52 UTC
Last revdep on media-libs/libmygpo-qt-1.0.9[qt4(+)] as well.
Comment 2 Larry the Git Cow gentoo-dev 2018-04-25 11:48:12 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1f8c1d42e4ceda2cd129cce64aafcae4adfb9fe

commit f1f8c1d42e4ceda2cd129cce64aafcae4adfb9fe
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-25 11:46:01 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-25 11:47:59 +0000

    media-sound/clementine: amd64 stable wrt bug #650692
    
    Bug: https://bugs.gentoo.org/650692
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 media-sound/clementine/clementine-1.3.1_p20180416.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30383335168e3ab54ea3bb65d762e60807004618

commit 30383335168e3ab54ea3bb65d762e60807004618
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-25 11:44:58 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-25 11:47:57 +0000

    media-libs/libmygpo-qt: amd64 stable wrt bug #650692
    
    Bug: https://bugs.gentoo.org/650692
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 media-libs/libmygpo-qt/libmygpo-qt-1.1.0_pre20180401.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06bd2d0d043871f3ebd778d60ff033c1ca4c363d

commit 06bd2d0d043871f3ebd778d60ff033c1ca4c363d
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-25 11:44:35 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-25 11:47:56 +0000

    media-libs/liblastfm: amd64 stable wrt bug #650692
    
    Bug: https://bugs.gentoo.org/650692
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 media-libs/liblastfm/liblastfm-1.1.0_pre20150206.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-04-25 13:44:49 UTC
x86 stopped stabilization due to bug 653312 (/usr/lib/gcc/i686-pc-linux-gnu/6.4.0/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lQt5::Test).
Comment 4 Andreas Sturmlechner gentoo-dev 2018-04-25 14:47:32 UTC
Fixed missing dependency and bumping stabilisation target to 1.1.0 (which is otherwise identical to our snapshot).
Comment 5 Thomas Deutschmann gentoo-dev Security 2018-04-25 19:33:12 UTC
x86 stable, closing
Comment 6 Larry the Git Cow gentoo-dev 2018-04-26 03:31:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c50ce6be0d1de5a792daa90fe043026c49f1ad0b

commit c50ce6be0d1de5a792daa90fe043026c49f1ad0b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-25 19:39:58 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-26 03:29:33 +0000

    media-sound/clementine: Drop old Qt4-based
    
    Bug: https://bugs.gentoo.org/650692
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 media-sound/clementine/Manifest                    |   1 -
 .../clementine-1.3.1_p20171113-r1.ebuild           | 167 ---------------------
 .../files/clementine-1.3-fix-tokenizer.patch       |  21 ---
 3 files changed, 189 deletions(-)}